The endpoints described in this guide are currently in beta mode.
Retrieve a transaction limit
GET
/v2/cards/{cardId}/transaction-limitsRequest
Use this request to retrieve a transaction limit for a given card, based on itsid.
Path parameters
The ID of the card that you want to retrieve the transaction limit for.Allowable values: An existing
cardId (≤ 36 characters)Query parameters
The ID of the account that the card is associated with.Allowable values: An existing
accountIdThe ID of the budget that the card is associated with.Allowable values: An existing
budgetId (≤ 36 characters)The ID of the person that the card belongs to.Allowable values: An existing
personId (≤ 36 characters)Response
If your request is successful, you’ll receive a200 response.
Create a transaction limit
POST
/v2/cards/{cardId}/transaction-limitsRequest
Use this request to create a transaction limit for a given card.Path parameters
The ID of the card that you want to create a transaction limit for.Allowable values: An existing
cardId (≤ 36 characters)Query parameters
The ID of the account that the card is associated with.Allowable values: An existing
accountIdThe ID of the budget that the card is associated with.Allowable values: An existing
budgetId (≤ 36 characters)The ID of the person that the card belongs to.Allowable values: An existing
personId (≤ 36 characters)Request body schema
The ID of the transaction limit that you want to create.Allowable values: A valid string
The amount that you want to set as the transaction limit.Allowable values: A valid number
Whether or not you want the transaction limit to be active on Marqeta.Allowable values:
true, falseWhether or not you want the transaction limit to be turned off.Allowable values:
true, falseThe time period for which the transaction limit applies. Always set this to
TRANSACTION.Allowable values: TRANSACTIONResponse
If your request is successful, you’ll receive a200 response.
Update a transaction limit
PUT
/v2/cards/{cardId}/transaction-limits/{limitId}Request
Use this request to update the transaction limit for a given card.Path parameters
The ID of the card that the transaction limit applies to.Allowable values: An existing
cardId (≤ 36 characters)The ID of the transaction limit that you want to update.Allowable values: An existing
limitId (≤ 36 characters)Query parameters
The ID of the account that the card is associated with.Allowable values: An existing
accountIdThe ID of the budget that the card is associated with.Allowable values: An existing
budgetId (≤ 36 characters)The ID of the person that the card belongs to.Allowable values: An existing
personId (≤ 36 characters)Request body schema
The new ID of the transaction limit.Allowable values: A valid string
Response
If your request is successful, you’ll receive a200 response.